# JobFormFields Object

> Source: https://truto.one/docs/api-reference/unified-ats-api/jobformfields/

Schema for the `JobFormFields` resource in **Unified ATS API**.

## Properties

- **`id`** _(string, required)_
  The form field's unique identifier
- **`name`** _(string)_
  The form field's name. Use this when submitting the application.
- **`job`** _(object)_
  The form field's job
  - **`id`** _(string)_
    Unique identifier of the job
- **`label`** _(string)_
  The form field's label.
- **`index`** _(integer)_
  The form field's position inside a form. If `group_id` is present, the index is relative to the group.
- **`is_required`** _(boolean)_
  Whether the form field is required or not.
- **`answer_visibility`** _(string)_
  The form field's answer visibility inside the ATS.
  Allowed: `private`, `public`
- **`description`** _(string)_
  The form field's description.
- **`type`** _(string)_
  The form field's type. If no clear mapping exists, then raw value is returned.
  Allowed: `text`, `textarea`, `dropdown`, `file`, `radio`, `checkbox`, `date`, `number`
- **`options`** _(array<object>)_
  The form field's options. Only present for dropdown, radio and checkbox types.
  - **`id`** _(string)_
    The option's unique identifier
  - **`label`** _(string)_
    The option's label
  - **`value`** _(string)_
    The option's value
- **`group_id`** _(string)_
  The form field's group identifier. If present, the form field is part of a group.
- **`group_name`** _(string)_
  The form field's group name or label. If present, the form field is part of a group.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ats/job_form_fields](/docs/api-reference/unified-ats-api/jobformfields/list) — List Job form fields
